Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SysQueriesRow

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.ClientWireProtocol.SysQueriesRow

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.SysQueriesRowOrBuilder`, `Serializable`

Enclosing class:
  `ClientWireProtocol`

public static final class ClientWireProtocol.SysQueriesRow extends com.google.protobuf.GeneratedMessageV3 implements ClientWireProtocol.SysQueriesRowOrBuilder
Protobuf type `xg.cmdcomp.SysQueriesRow`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ClientWireProtocol.SysQueriesRow.Builder`
Protobuf type `xg.cmdcomp.SysQueriesRow`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DATABASE_FIELD_NUMBER`
`static final int`
`EFFECTIVE_PRIORITY_FIELD_NUMBER`
`static final int`
`ELAPSED_TIME_SEC_FIELD_NUMBER`
`static final int`
`ESTIMATED_RESULT_ROWS_FIELD_NUMBER`
`static final int`
`ESTIMATED_RESULT_SIZE_FIELD_NUMBER`
`static final int`
`ESTIMATED_TIME_SEC_FIELD_NUMBER`
`static final int`
`INITIAL_EFFECTIVE_PRIORITY_FIELD_NUMBER`
`static final int`
`INITIAL_PRIORITY_FIELD_NUMBER`
`static final int`
`PRIORITY_ADJUST_FACTOR_FIELD_NUMBER`
`static final int`
`PRIORITY_ADJUST_TIME_FIELD_NUMBER`
`static final int`
`QUERY_ID_FIELD_NUMBER`
`static final int`
`QUERY_SERVER_FIELD_NUMBER`
`static final int`
`REMOTEIP_FIELD_NUMBER`
`static final int`
`SENT_BYTES_FIELD_NUMBER`
`static final int`
`SENT_ROWS_FIELD_NUMBER`
`static final int`
`SERVICE_CLASS_FIELD_NUMBER`
`static final int`
`SQL_TEXT_FIELD_NUMBER`
`static final int`
`STATUS_FIELD_NUMBER`
`static final int`
`USERID_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getDatabase()`
`string database = 9;`
`com.google.protobuf.ByteString`
`getDatabaseBytes()`
`string database = 9;`
`static ClientWireProtocol.SysQueriesRow`
`getDefaultInstance()`
`ClientWireProtocol.SysQueriesRow`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`float`
`getEffectivePriority()`
`float effective_priority = 2;`
`int`
`getElapsedTimeSec()`
`int32 elapsed_time_sec = 6;`
`long`
`getEstimatedResultRows()`
`int64 estimated_result_rows = 12;`
`long`
`getEstimatedResultSize()`
`int64 estimated_result_size = 13;`
`int`
`getEstimatedTimeSec()`
`int32 estimated_time_sec = 3;`
`float`
`getInitialEffectivePriority()`
`float initial_effective_priority = 17;`
`float`
`getInitialPriority()`
`float initial_priority = 16;`
`com.google.protobuf.Parser<ClientWireProtocol.SysQueriesRow>`
`getParserForType()`
`float`
`getPriorityAdjustFactor()`
`float priority_adjust_factor = 18;`
`int`
`getPriorityAdjustTime()`
`uint32 priority_adjust_time = 19;`
`String`
`getQueryId()`
`string query_id = 1;`
`com.google.protobuf.ByteString`
`getQueryIdBytes()`
`string query_id = 1;`
`String`
`getQueryServer()`
`string query_server = 8;`
`com.google.protobuf.ByteString`
`getQueryServerBytes()`
`string query_server = 8;`
`String`
`getRemoteIP()`
`string remoteIP = 10;`
`com.google.protobuf.ByteString`
`getRemoteIPBytes()`
`string remoteIP = 10;`
`long`
`getSentBytes()`
`int64 sent_bytes = 15;`
`long`
`getSentRows()`
`int64 sent_rows = 14;`
`int`
`getSerializedSize()`
`String`
`getServiceClass()`
`string service_class = 11;`
`com.google.protobuf.ByteString`
`getServiceClassBytes()`
`string service_class = 11;`
`String`
`getSqlText()`
`string sql_text = 5;`
`com.google.protobuf.ByteString`
`getSqlTextBytes()`
`string sql_text = 5;`
`String`
`getStatus()`
`string status = 7;`
`com.google.protobuf.ByteString`
`getStatusBytes()`
`string status = 7;`
`String`
`getUserid()`
`string userid = 4;`
`com.google.protobuf.ByteString`
`getUseridBytes()`
`string userid = 4;`
`int`
`hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static ClientWireProtocol.SysQueriesRow.Builder`
`newBuilder()`
`static ClientWireProtocol.SysQueriesRow.Builder`
`newBuilder(ClientWireProtocol.SysQueriesRow prototype)`
`ClientWireProtocol.SysQueriesRow.Builder`
`newBuilderForType()`
`protected ClientWireProtocol.SysQueriesRow.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static ClientWireProtocol.SysQueriesRow`
`parseDelimitedFrom(InputStream input)`
`static ClientWireProtocol.SysQueriesRow`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(byte[] data)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(com.google.protobuf.ByteString data)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(InputStream input)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(ByteBuffer data)`
`static ClientWireProtocol.SysQueriesRow`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<ClientWireProtocol.SysQueriesRow>`
`parser()`
`ClientWireProtocol.SysQueriesRow.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### QUERY_ID_FIELD_NUMBER

public static final int QUERY_ID_FIELD_NUMBER

See Also:
  - Constant Field Values

### EFFECTIVE_PRIORITY_FIELD_NUMBER

public static final int EFFECTIVE_PRIORITY_FIELD_NUMBER

See Also:
  - Constant Field Values

### ESTIMATED_TIME_SEC_FIELD_NUMBER

public static final int ESTIMATED_TIME_SEC_FIELD_NUMBER

See Also:
  - Constant Field Values

### USERID_FIELD_NUMBER

public static final int USERID_FIELD_NUMBER

See Also:
  - Constant Field Values

### SQL_TEXT_FIELD_NUMBER

public static final int SQL_TEXT_FIELD_NUMBER

See Also:
  - Constant Field Values

### ELAPSED_TIME_SEC_FIELD_NUMBER

public static final int ELAPSED_TIME_SEC_FIELD_NUMBER

See Also:
  - Constant Field Values

### STATUS_FIELD_NUMBER

public static final int STATUS_FIELD_NUMBER

See Also:
  - Constant Field Values

### QUERY_SERVER_FIELD_NUMBER

public static final int QUERY_SERVER_FIELD_NUMBER

See Also:
  - Constant Field Values

### DATABASE_FIELD_NUMBER

public static final int DATABASE_FIELD_NUMBER

See Also:
  - Constant Field Values

### REMOTEIP_FIELD_NUMBER

public static final int REMOTEIP_FIELD_NUMBER

See Also:
  - Constant Field Values

### SERVICE_CLASS_FIELD_NUMBER

public static final int SERVICE_CLASS_FIELD_NUMBER

See Also:
  - Constant Field Values

### ESTIMATED_RESULT_ROWS_FIELD_NUMBER

public static final int ESTIMATED_RESULT_ROWS_FIELD_NUMBER

See Also:
  - Constant Field Values

### ESTIMATED_RESULT_SIZE_FIELD_NUMBER

public static final int ESTIMATED_RESULT_SIZE_FIELD_NUMBER

See Also:
  - Constant Field Values

### SENT_ROWS_FIELD_NUMBER

public static final int SENT_ROWS_FIELD_NUMBER

See Also:
  - Constant Field Values

### SENT_BYTES_FIELD_NUMBER

public static final int SENT_BYTES_FIELD_NUMBER

See Also:
  - Constant Field Values

### INITIAL_PRIORITY_FIELD_NUMBER

public static final int INITIAL_PRIORITY_FIELD_NUMBER

See Also:
  - Constant Field Values

### INITIAL_EFFECTIVE_PRIORITY_FIELD_NUMBER

public static final int INITIAL_EFFECTIVE_PRIORITY_FIELD_NUMBER

See Also:
  - Constant Field Values

### PRIORITY_ADJUST_FACTOR_FIELD_NUMBER

public static final int PRIORITY_ADJUST_FACTOR_FIELD_NUMBER

See Also:
  - Constant Field Values

### PRIORITY_ADJUST_TIME_FIELD_NUMBER

public static final int PRIORITY_ADJUST_TIME_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getQueryId

public String getQueryId()
`string query_id = 1;`

Specified by:
  `getQueryId` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The queryId.

### getQueryIdBytes

public com.google.protobuf.ByteString getQueryIdBytes()
`string query_id = 1;`

Specified by:
  `getQueryIdBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for queryId.

### getEffectivePriority

public float getEffectivePriority()
`float effective_priority = 2;`

Specified by:
  `getEffectivePriority` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The effectivePriority.

### getEstimatedTimeSec

public int getEstimatedTimeSec()
`int32 estimated_time_sec = 3;`

Specified by:
  `getEstimatedTimeSec` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The estimatedTimeSec.

### getUserid

public String getUserid()
`string userid = 4;`

Specified by:
  `getUserid` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The userid.

### getUseridBytes

public com.google.protobuf.ByteString getUseridBytes()
`string userid = 4;`

Specified by:
  `getUseridBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for userid.

### getSqlText

public String getSqlText()
`string sql_text = 5;`

Specified by:
  `getSqlText` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The sqlText.

### getSqlTextBytes

public com.google.protobuf.ByteString getSqlTextBytes()
`string sql_text = 5;`

Specified by:
  `getSqlTextBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for sqlText.

### getElapsedTimeSec

public int getElapsedTimeSec()
`int32 elapsed_time_sec = 6;`

Specified by:
  `getElapsedTimeSec` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The elapsedTimeSec.

### getStatus

public String getStatus()
`string status = 7;`

Specified by:
  `getStatus` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The status.

### getStatusBytes

public com.google.protobuf.ByteString getStatusBytes()
`string status = 7;`

Specified by:
  `getStatusBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for status.

### getQueryServer

public String getQueryServer()
`string query_server = 8;`

Specified by:
  `getQueryServer` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The queryServer.

### getQueryServerBytes

public com.google.protobuf.ByteString getQueryServerBytes()
`string query_server = 8;`

Specified by:
  `getQueryServerBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for queryServer.

### getDatabase

public String getDatabase()
`string database = 9;`

Specified by:
  `getDatabase` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The database.

### getDatabaseBytes

public com.google.protobuf.ByteString getDatabaseBytes()
`string database = 9;`

Specified by:
  `getDatabaseBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for database.

### getRemoteIP

public String getRemoteIP()
`string remoteIP = 10;`

Specified by:
  `getRemoteIP` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The remoteIP.

### getRemoteIPBytes

public com.google.protobuf.ByteString getRemoteIPBytes()
`string remoteIP = 10;`

Specified by:
  `getRemoteIPBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for remoteIP.

### getServiceClass

public String getServiceClass()
`string service_class = 11;`

Specified by:
  `getServiceClass` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The serviceClass.

### getServiceClassBytes

public com.google.protobuf.ByteString getServiceClassBytes()
`string service_class = 11;`

Specified by:
  `getServiceClassBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for serviceClass.

### getEstimatedResultRows

public long getEstimatedResultRows()
`int64 estimated_result_rows = 12;`

Specified by:
  `getEstimatedResultRows` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The estimatedResultRows.

### getEstimatedResultSize

public long getEstimatedResultSize()
`int64 estimated_result_size = 13;`

Specified by:
  `getEstimatedResultSize` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The estimatedResultSize.

### getSentRows

public long getSentRows()
`int64 sent_rows = 14;`

Specified by:
  `getSentRows` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The sentRows.

### getSentBytes

public long getSentBytes()
`int64 sent_bytes = 15;`

Specified by:
  `getSentBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The sentBytes.

### getInitialPriority

public float getInitialPriority()
`float initial_priority = 16;`

Specified by:
  `getInitialPriority` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The initialPriority.

### getInitialEffectivePriority

public float getInitialEffectivePriority()
`float initial_effective_priority = 17;`

Specified by:
  `getInitialEffectivePriority` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The initialEffectivePriority.

### getPriorityAdjustFactor

public float getPriorityAdjustFactor()
`float priority_adjust_factor = 18;`

Specified by:
  `getPriorityAdjustFactor` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The priorityAdjustFactor.

### getPriorityAdjustTime

public int getPriorityAdjustTime()
`uint32 priority_adjust_time = 19;`

Specified by:
  `getPriorityAdjustTime` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The priorityAdjustTime.

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.SysQueriesRow parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.SysQueriesRow parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.SysQueriesRow parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.SysQueriesRow.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static ClientWireProtocol.SysQueriesRow.Builder newBuilder()

### newBuilder

public static ClientWireProtocol.SysQueriesRow.Builder newBuilder(ClientWireProtocol.SysQueriesRow prototype)

### toBuilder

public ClientWireProtocol.SysQueriesRow.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected ClientWireProtocol.SysQueriesRow.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static ClientWireProtocol.SysQueriesRow getDefaultInstance()

### parser

public static com.google.protobuf.Parser<ClientWireProtocol.SysQueriesRow> parser()

### getParserForType

public com.google.protobuf.Parser<ClientWireProtocol.SysQueriesRow> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public ClientWireProtocol.SysQueriesRow getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`